aboutsummaryrefslogtreecommitdiff
path: root/deps/openssl/openssl/test
diff options
context:
space:
mode:
authorMyles Borins <mborins@us.ibm.com>2016-01-29 11:30:16 -0800
committerShigeki Ohtsu <ohtsu@iij.ad.jp>2016-01-31 15:07:12 +0900
commit1f434787fcb36b2dea36dbfebc8ff7f899b6d262 (patch)
tree89fbd0f262a3ba0a2557df53a30e1a3807e1a3b4 /deps/openssl/openssl/test
parent6cbbfef994930bc47581d592124e82b58e55ac7b (diff)
downloadandroid-node-v8-1f434787fcb36b2dea36dbfebc8ff7f899b6d262.tar.gz
android-node-v8-1f434787fcb36b2dea36dbfebc8ff7f899b6d262.tar.bz2
android-node-v8-1f434787fcb36b2dea36dbfebc8ff7f899b6d262.zip
deps: upgrade openssl sources to 1.0.2f
This replaces all sources of openssl-1.0.2f.tar.gz into deps/openssl/openssl Fix: https://github.com/nodejs/node/issues/4857 PR-URL: https://github.com/nodejs/node/pull/4961 Reviewed-By: Shigeki Ohtsu <ohtsu@iij.ad.jp> deps: copy openssl header files to include dir All symlink files in deps/openssl/openssl/include/openssl/ are removed and replaced with real header files to avoid issues on Windows. Two files of opensslconf.h in crypto and include dir are replaced to refer config/opensslconf.h. Fix: https://github.com/nodejs/node/issues/4857 PR-URL: https://github.com/nodejs/node/pull/4961 Reviewed-By: Shigeki Ohtsu <ohtsu@iij.ad.jp> deps: fix openssl assembly error on ia32 win32 `x86masm.pl` was mistakenly using .486 instruction set, why `cpuid` (and perhaps others) are requiring .686 . Fixes: https://github.com/nodejs/node/issues/589 PR-URL: https://github.com/nodejs/node/pull/1389 Reviewed-By: Fedor Indutny <fedor@indutny.com> Reviewed-By: Ben Noordhuis <info@bnoordhuis.nl> Reviewed-By: Shigeki Ohtsu <ohtsu@iij.ad.jp> deps: fix asm build error of openssl in x86_win32 See https://mta.openssl.org/pipermail/openssl-dev/2015-February/000651.html iojs needs to stop using masm and move to nasm or yasm on Win32. Fixes: https://github.com/nodejs/node/issues/589 PR-URL: https://github.com/nodejs/node/pull/1389 Reviewed-By: Fedor Indutny <fedor@indutny.com> Reviewed-By: Ben Noordhuis <info@bnoordhuis.nl> openssl: fix keypress requirement in apps on win32 Reapply b910613792dac946b295855963869933a9089044 . Fixes: https://github.com/nodejs/node/issues/589 PR-URL: https://github.com/nodejs/node/pull/1389 Reviewed-By: Fedor Indutny <fedor@indutny.com> Reviewed-By: Ben Noordhuis <info@bnoordhuis.nl> docs: update openssl UPDATING guide the guide is now current with the steps taken to update openssl to v1.0.2f PR-URL: https://github.com/nodejs/node/pull/4961 Reviewed-By: Myles Borins <mborins@us.ibm.com>
Diffstat (limited to 'deps/openssl/openssl/test')
-rwxr-xr-xdeps/openssl/openssl/test/bctest111
l---------deps/openssl/openssl/test/bftest.c1
l---------deps/openssl/openssl/test/bntest.c1
l---------deps/openssl/openssl/test/casttest.c1
l---------deps/openssl/openssl/test/clienthellotest.c1
l---------deps/openssl/openssl/test/constant_time_test.c1
l---------deps/openssl/openssl/test/destest.c1
l---------deps/openssl/openssl/test/dhtest.c1
l---------deps/openssl/openssl/test/dsatest.c1
l---------deps/openssl/openssl/test/ecdhtest.c1
l---------deps/openssl/openssl/test/ecdsatest.c1
l---------deps/openssl/openssl/test/ectest.c1
l---------deps/openssl/openssl/test/enginetest.c1
l---------deps/openssl/openssl/test/evp_extra_test.c1
l---------deps/openssl/openssl/test/evp_test.c1
l---------deps/openssl/openssl/test/exptest.c1
l---------deps/openssl/openssl/test/heartbeat_test.c1
l---------deps/openssl/openssl/test/hmactest.c1
l---------deps/openssl/openssl/test/ideatest.c1
-rw-r--r--deps/openssl/openssl/test/igetest.c2
l---------deps/openssl/openssl/test/jpaketest.c1
l---------deps/openssl/openssl/test/md2test.c1
l---------deps/openssl/openssl/test/md4test.c1
l---------deps/openssl/openssl/test/md5test.c1
l---------deps/openssl/openssl/test/mdc2test.c1
l---------deps/openssl/openssl/test/randtest.c1
l---------deps/openssl/openssl/test/rc2test.c1
l---------deps/openssl/openssl/test/rc4test.c1
l---------deps/openssl/openssl/test/rc5test.c1
l---------deps/openssl/openssl/test/rmdtest.c1
l---------deps/openssl/openssl/test/rsa_test.c1
l---------deps/openssl/openssl/test/sha1test.c1
l---------deps/openssl/openssl/test/sha256t.c1
l---------deps/openssl/openssl/test/sha512t.c1
l---------deps/openssl/openssl/test/shatest.c1
l---------deps/openssl/openssl/test/srptest.c1
l---------deps/openssl/openssl/test/ssltest.c1
l---------deps/openssl/openssl/test/v3nametest.c1
l---------deps/openssl/openssl/test/verify_extra_test.c1
l---------deps/openssl/openssl/test/wp_test.c1
40 files changed, 112 insertions, 39 deletions
diff --git a/deps/openssl/openssl/test/bctest b/deps/openssl/openssl/test/bctest
new file mode 100755
index 0000000000..bdb3218f7a
--- /dev/null
+++ b/deps/openssl/openssl/test/bctest
@@ -0,0 +1,111 @@
+#!/bin/sh
+
+# This script is used by test/Makefile.ssl to check whether a sane 'bc'
+# is installed.
+# ('make test_bn' should not try to run 'bc' if it does not exist or if
+# it is a broken 'bc' version that is known to cause trouble.)
+#
+# If 'bc' works, we also test if it knows the 'print' command.
+#
+# In any case, output an appropriate command line for running (or not
+# running) bc.
+
+
+IFS=:
+try_without_dir=true
+# First we try "bc", then "$dir/bc" for each item in $PATH.
+for dir in dummy:$PATH; do
+ if [ "$try_without_dir" = true ]; then
+ # first iteration
+ bc=bc
+ try_without_dir=false
+ else
+ # second and later iterations
+ bc="$dir/bc"
+ if [ ! -f "$bc" ]; then # '-x' is not available on Ultrix
+ bc=''
+ fi
+ fi
+
+ if [ ! "$bc" = '' ]; then
+ failure=none
+
+
+ # Test for SunOS 5.[78] bc bug
+ "$bc" >tmp.bctest <<\EOF
+obase=16
+ibase=16
+a=AD88C418F31B3FC712D0425001D522B3AE9134FF3A98C13C1FCC1682211195406C1A6C66C6A\
+CEEC1A0EC16950233F77F1C2F2363D56DD71A36C57E0B2511FC4BA8F22D261FE2E9356D99AF57\
+10F3817C0E05BF79C423C3F66FDF321BE8D3F18F625D91B670931C1EF25F28E489BDA1C5422D1\
+C3F6F7A1AD21585746ECC4F10A14A778AF56F08898E965E9909E965E0CB6F85B514150C644759\
+3BE731877B16EA07B552088FF2EA728AC5E0FF3A23EB939304519AB8B60F2C33D6BA0945B66F0\
+4FC3CADF855448B24A9D7640BCF473E
+b=DCE91E7D120B983EA9A104B5A96D634DD644C37657B1C7860B45E6838999B3DCE5A555583C6\
+9209E41F413422954175A06E67FFEF6746DD652F0F48AEFECC3D8CAC13523BDAAD3F5AF4212BD\
+8B3CD64126E1A82E190228020C05B91C8B141F1110086FC2A4C6ED631EBA129D04BB9A19FC53D\
+3ED0E2017D60A68775B75481449
+(a/b)*b + (a%b) - a
+EOF
+ if [ 0 != "`cat tmp.bctest`" ]; then
+ failure=SunOStest
+ fi
+
+
+ if [ "$failure" = none ]; then
+ # Test for SCO bc bug.
+ "$bc" >tmp.bctest <<\EOF
+obase=16
+ibase=16
+-FFDD63BA1A4648F0D804F8A1C66C53F0D2110590E8A3907EC73B4AEC6F15AC177F176F2274D2\
+9DC8022EA0D7DD3ABE9746D2D46DD3EA5B5F6F69DF12877E0AC5E7F5ADFACEE54573F5D256A06\
+11B5D2BC24947724E22AE4EC3FB0C39D9B4694A01AFE5E43B4D99FB9812A0E4A5773D8B254117\
+1239157EC6E3D8D50199 * -FFDD63BA1A4648F0D804F8A1C66C53F0D2110590E8A3907EC73B4\
+AEC6F15AC177F176F2274D29DC8022EA0D7DD3ABE9746D2D46DD3EA5B5F6F69DF12877E0AC5E7\
+F5ADFACEE54573F5D256A0611B5D2BC24947724E22AE4EC3FB0C39D9B4694A01AFE5E43B4D99F\
+B9812A0E4A5773D8B2541171239157EC6E3D8D50199 - FFBACC221682DA464B6D7F123482522\
+02EDAEDCA38C3B69E9B7BBCD6165A9CD8716C4903417F23C09A85B851961F92C217258CEEB866\
+85EFCC5DD131853A02C07A873B8E2AF2E40C6D5ED598CD0E8F35AD49F3C3A17FDB7653E4E2DC4\
+A8D23CC34686EE4AD01F7407A7CD74429AC6D36DBF0CB6A3E302D0E5BDFCD048A3B90C1BE5AA8\
+E16C3D5884F9136B43FF7BB443764153D4AEC176C681B078F4CC53D6EB6AB76285537DDEE7C18\
+8C72441B52EDBDDBC77E02D34E513F2AABF92F44109CAFE8242BD0ECBAC5604A94B02EA44D43C\
+04E9476E6FBC48043916BFA1485C6093603600273C9C33F13114D78064AE42F3DC466C7DA543D\
+89C8D71
+AD534AFBED2FA39EE9F40E20FCF9E2C861024DB98DDCBA1CD118C49CA55EEBC20D6BA51B2271C\
+928B693D6A73F67FEB1B4571448588B46194617D25D910C6A9A130CC963155CF34079CB218A44\
+8A1F57E276D92A33386DDCA3D241DB78C8974ABD71DD05B0FA555709C9910D745185E6FE108E3\
+37F1907D0C56F8BFBF52B9704 % -E557905B56B13441574CAFCE2BD257A750B1A8B2C88D0E36\
+E18EF7C38DAC80D3948E17ED63AFF3B3467866E3B89D09A81B3D16B52F6A3C7134D3C6F5123E9\
+F617E3145BBFBE9AFD0D6E437EA4FF6F04BC67C4F1458B4F0F47B64 - 1C2BBBB19B74E86FD32\
+9E8DB6A8C3B1B9986D57ED5419C2E855F7D5469E35E76334BB42F4C43E3F3A31B9697C171DAC4\
+D97935A7E1A14AD209D6CF811F55C6DB83AA9E6DFECFCD6669DED7171EE22A40C6181615CAF3F\
+5296964
+EOF
+ if [ "0
+0" != "`cat tmp.bctest`" ]; then
+ failure=SCOtest
+ fi
+ fi
+
+
+ if [ "$failure" = none ]; then
+ # bc works; now check if it knows the 'print' command.
+ if [ "OK" = "`echo 'print \"OK\"' | $bc 2>/dev/null`" ]
+ then
+ echo "$bc"
+ else
+ echo "sed 's/print.*//' | $bc"
+ fi
+ exit 0
+ fi
+
+ echo "$bc does not work properly ('$failure' failed). Looking for another bc ..." >&2
+ fi
+done
+
+echo "No working bc found. Consider installing GNU bc." >&2
+if [ "$1" = ignore ]; then
+ echo "cat >/dev/null"
+ exit 0
+fi
+exit 1
diff --git a/deps/openssl/openssl/test/bftest.c b/deps/openssl/openssl/test/bftest.c
deleted file mode 120000
index eb8c15de7e..0000000000
--- a/deps/openssl/openssl/test/bftest.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../crypto/bf/bftest.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/bntest.c b/deps/openssl/openssl/test/bntest.c
deleted file mode 120000
index 1f781768a9..0000000000
--- a/deps/openssl/openssl/test/bntest.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../crypto/bn/bntest.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/casttest.c b/deps/openssl/openssl/test/casttest.c
deleted file mode 120000
index 823c4bb36c..0000000000
--- a/deps/openssl/openssl/test/casttest.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../crypto/cast/casttest.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/clienthellotest.c b/deps/openssl/openssl/test/clienthellotest.c
deleted file mode 120000
index ae25f16c43..0000000000
--- a/deps/openssl/openssl/test/clienthellotest.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../ssl/clienthellotest.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/constant_time_test.c b/deps/openssl/openssl/test/constant_time_test.c
deleted file mode 120000
index 4f9a6aa6e5..0000000000
--- a/deps/openssl/openssl/test/constant_time_test.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../crypto/constant_time_test.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/destest.c b/deps/openssl/openssl/test/destest.c
deleted file mode 120000
index fd77cd5ca8..0000000000
--- a/deps/openssl/openssl/test/destest.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../crypto/des/destest.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/dhtest.c b/deps/openssl/openssl/test/dhtest.c
deleted file mode 120000
index 7c3e64db0d..0000000000
--- a/deps/openssl/openssl/test/dhtest.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../crypto/dh/dhtest.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/dsatest.c b/deps/openssl/openssl/test/dsatest.c
deleted file mode 120000
index 1a181759a1..0000000000
--- a/deps/openssl/openssl/test/dsatest.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../crypto/dsa/dsatest.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/ecdhtest.c b/deps/openssl/openssl/test/ecdhtest.c
deleted file mode 120000
index 5e24a98a67..0000000000
--- a/deps/openssl/openssl/test/ecdhtest.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../crypto/ecdh/ecdhtest.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/ecdsatest.c b/deps/openssl/openssl/test/ecdsatest.c
deleted file mode 120000
index c2bbe4f91b..0000000000
--- a/deps/openssl/openssl/test/ecdsatest.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../crypto/ecdsa/ecdsatest.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/ectest.c b/deps/openssl/openssl/test/ectest.c
deleted file mode 120000
index e25805f3e0..0000000000
--- a/deps/openssl/openssl/test/ectest.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../crypto/ec/ectest.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/enginetest.c b/deps/openssl/openssl/test/enginetest.c
deleted file mode 120000
index 7eb1831ea3..0000000000
--- a/deps/openssl/openssl/test/enginetest.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../crypto/engine/enginetest.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/evp_extra_test.c b/deps/openssl/openssl/test/evp_extra_test.c
deleted file mode 120000
index 7be69e4f57..0000000000
--- a/deps/openssl/openssl/test/evp_extra_test.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../crypto/evp/evp_extra_test.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/evp_test.c b/deps/openssl/openssl/test/evp_test.c
deleted file mode 120000
index 969b2dfaca..0000000000
--- a/deps/openssl/openssl/test/evp_test.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../crypto/evp/evp_test.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/exptest.c b/deps/openssl/openssl/test/exptest.c
deleted file mode 120000
index cea2f17017..0000000000
--- a/deps/openssl/openssl/test/exptest.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../crypto/bn/exptest.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/heartbeat_test.c b/deps/openssl/openssl/test/heartbeat_test.c
deleted file mode 120000
index 836fb8a6d7..0000000000
--- a/deps/openssl/openssl/test/heartbeat_test.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../ssl/heartbeat_test.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/hmactest.c b/deps/openssl/openssl/test/hmactest.c
deleted file mode 120000
index a646bcdd43..0000000000
--- a/deps/openssl/openssl/test/hmactest.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../crypto/hmac/hmactest.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/ideatest.c b/deps/openssl/openssl/test/ideatest.c
deleted file mode 120000
index ba9935815c..0000000000
--- a/deps/openssl/openssl/test/ideatest.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../crypto/idea/ideatest.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/igetest.c b/deps/openssl/openssl/test/igetest.c
index 0c7b3573d0..08f361a0a8 100644
--- a/deps/openssl/openssl/test/igetest.c
+++ b/deps/openssl/openssl/test/igetest.c
@@ -1,4 +1,4 @@
-/* test/igetest.c -*- mode:C; c-file-style: "eay" -*- */
+/* test/igetest.c */
/* ====================================================================
* Copyright (c) 2006 The OpenSSL Project. All rights reserved.
*
diff --git a/deps/openssl/openssl/test/jpaketest.c b/deps/openssl/openssl/test/jpaketest.c
deleted file mode 120000
index 1b5e260fab..0000000000
--- a/deps/openssl/openssl/test/jpaketest.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/dummytest.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/md2test.c b/deps/openssl/openssl/test/md2test.c
deleted file mode 120000
index 1b5e260fab..0000000000
--- a/deps/openssl/openssl/test/md2test.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/dummytest.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/md4test.c b/deps/openssl/openssl/test/md4test.c
deleted file mode 120000
index 88e2eb82c7..0000000000
--- a/deps/openssl/openssl/test/md4test.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../crypto/md4/md4test.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/md5test.c b/deps/openssl/openssl/test/md5test.c
deleted file mode 120000
index 62779aedff..0000000000
--- a/deps/openssl/openssl/test/md5test.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../crypto/md5/md5test.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/mdc2test.c b/deps/openssl/openssl/test/mdc2test.c
deleted file mode 120000
index 89c5faf92e..0000000000
--- a/deps/openssl/openssl/test/mdc2test.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../crypto/mdc2/mdc2test.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/randtest.c b/deps/openssl/openssl/test/randtest.c
deleted file mode 120000
index 7094f41bd0..0000000000
--- a/deps/openssl/openssl/test/randtest.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../crypto/rand/randtest.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/rc2test.c b/deps/openssl/openssl/test/rc2test.c
deleted file mode 120000
index 4101b4f4e8..0000000000
--- a/deps/openssl/openssl/test/rc2test.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../crypto/rc2/rc2test.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/rc4test.c b/deps/openssl/openssl/test/rc4test.c
deleted file mode 120000
index d3c90794b3..0000000000
--- a/deps/openssl/openssl/test/rc4test.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../crypto/rc4/rc4test.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/rc5test.c b/deps/openssl/openssl/test/rc5test.c
deleted file mode 120000
index 1b5e260fab..0000000000
--- a/deps/openssl/openssl/test/rc5test.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/dummytest.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/rmdtest.c b/deps/openssl/openssl/test/rmdtest.c
deleted file mode 120000
index 1744939e0f..0000000000
--- a/deps/openssl/openssl/test/rmdtest.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../crypto/ripemd/rmdtest.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/rsa_test.c b/deps/openssl/openssl/test/rsa_test.c
deleted file mode 120000
index 4bc7c76809..0000000000
--- a/deps/openssl/openssl/test/rsa_test.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../crypto/rsa/rsa_test.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/sha1test.c b/deps/openssl/openssl/test/sha1test.c
deleted file mode 120000
index 172c67cc8d..0000000000
--- a/deps/openssl/openssl/test/sha1test.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../crypto/sha/sha1test.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/sha256t.c b/deps/openssl/openssl/test/sha256t.c
deleted file mode 120000
index 2f356c921b..0000000000
--- a/deps/openssl/openssl/test/sha256t.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../crypto/sha/sha256t.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/sha512t.c b/deps/openssl/openssl/test/sha512t.c
deleted file mode 120000
index fbab5ab848..0000000000
--- a/deps/openssl/openssl/test/sha512t.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../crypto/sha/sha512t.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/shatest.c b/deps/openssl/openssl/test/shatest.c
deleted file mode 120000
index b0bffa74fd..0000000000
--- a/deps/openssl/openssl/test/shatest.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../crypto/sha/shatest.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/srptest.c b/deps/openssl/openssl/test/srptest.c
deleted file mode 120000
index 4f8b8f850c..0000000000
--- a/deps/openssl/openssl/test/srptest.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../crypto/srp/srptest.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/ssltest.c b/deps/openssl/openssl/test/ssltest.c
deleted file mode 120000
index 9ee1c02f16..0000000000
--- a/deps/openssl/openssl/test/ssltest.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../ssl/ssltest.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/v3nametest.c b/deps/openssl/openssl/test/v3nametest.c
deleted file mode 120000
index 05ac941158..0000000000
--- a/deps/openssl/openssl/test/v3nametest.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../crypto/x509v3/v3nametest.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/verify_extra_test.c b/deps/openssl/openssl/test/verify_extra_test.c
deleted file mode 120000
index 0d94843bbf..0000000000
--- a/deps/openssl/openssl/test/verify_extra_test.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../crypto/x509/verify_extra_test.c \ No newline at end of file
diff --git a/deps/openssl/openssl/test/wp_test.c b/deps/openssl/openssl/test/wp_test.c
deleted file mode 120000
index a0a05266b1..0000000000
--- a/deps/openssl/openssl/test/wp_test.c
+++ /dev/null
@@ -1 +0,0 @@
-openssl-1.0.2e/../crypto/whrlpool/wp_test.c \ No newline at end of file